Pbx_lua - bad header error


#1

after testing extensions.lua , i decided to use it instead of PHPAGI. it consumes more less resource. first tests with lua 5.1.4 on Centos works fine. But after update lua version to 5.3.4 , it gives error.

is there a problem with lua version on Asterisk?

My asterisk 13.17
[Sep 13 10:18:29] ERROR[21984]: pbx_lua.c:1635 load_or_reload_lua_stuff: Error loading extensions.lua: extensions.lua: bad header in precompiled chunk


#2

it is solved that asterisk supports only 5.1 Lua version.